Name:           krop
Version:        0.4.4
Release:        1%{?dist}
Summary:        A tool to crop PDF files with an eye towards eReaders
License:        GPLv3+
URL:            http://arminstraub.com/computer/krop
Source0:        http://arminstraub.com/downloads/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  desktop-file-utils
BuildRequires:  python2-devel python-setuptools
Requires:       pyPdf
Requires:       PyQt4
Requires:       python-poppler-qt4
BuildArch:      noarch

%description
krop is a simple graphical tool to crop the pages of PDF files. It is written 
in Python and relies on PyQT, python-poppler-qt4 and pyPDF for its 
functionality. 

A unique feature of krop is its ability to automatically split pages into 
subpages to fit the limited screen size of devices such as eReaders. This is 
particularly useful, if your eReader does not support convenient scrolling.

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --prefix %{_prefix} --skip-build --root %{buildroot}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{name}.desktop
sed -i '1d' %{buildroot}%{python_sitelib}/%{name}/krop.py

%check
%{__python} setup.py check

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%files
%doc ChangeLog LICENSE README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{python_sitelib}/%{name}-%{version}-py%{python_version}.egg-info
%{python_sitelib}/%{name}

%changelog
* Sun Aug 25 2013 Christopher Meng <rpm@cicku.me> - 0.4.4-1
- Update to new version.

* Wed Aug 14 2013 Christopher Meng <rpm@cicku.me> - 0.4.3-1
- Update to new version.
- Correct desktop MIME update script.

* Wed Jul 31 2013 Christopher Meng <rpm@cicku.me> - 0.4.1-1
- Update to new version.

* Sat Nov 12 2011 Christopher Meng <rpm@cicku.me> - 0.3.0-1
- Initial Package.
